<?php
if (strpos($_SERVER['PHP_SELF'], "inc.php") !== false)
	exit("This file is meant to be included.");

function addNiverLog($message, $outputLines, $returnCode = false) {
	$logs = "\n" . date("Y-m-d H:i:s") . " " . $message . "\n";
	if ($returnCode !== false)
		$logs = $logs . "Return code: " . $returnCode . "\n";
	else
		$logs = $logs . "No return code logged\n";
	foreach ($outputLines as $outputLine) {
		$logs = $logs . " " .	$outputLine . "\n";
	}
	file_put_contents(ROOT_PATH . "/niver.log", $logs, FILE_APPEND);
}

function appendLog($log) {
	file_put_contents(ROOT_PATH . "/niver.log", date("Y-m-d H:i:s") . var_dump($log) . "\n", FILE_APPEND);
}

function checkAction($action) {
	if ($action === "delete")
		return "un";
	else if ($action === "add")
		return "";
	else
		exit("ERROR: wrong value for action");
}

function userExist($username) {
	$usernameArray[0] = $username;

	$db = new PDO('sqlite:' . DB_PATH);

	$op = $db->prepare('SELECT username FROM users WHERE username = ?');
	$op->execute($usernameArray);

	$data = $op->fetch();
	if (isset($data['username']))
		$dbUsername = $data['username'];
	else
		$dbUsername = NULL;

	if (isset($dbUsername)) {
		return true;
	} else {
		return false;
	}
}
