<?php include "../top.inc.php"; ?>

<form method="post">
	<label for="action">Action</label>
	<select name="action" id="action">
		<option value="add">Ajouter</option>
		<option value="delete">Retirer</option>
	</select>
	<br>
	<label for="domain">Domaine</label>
	<br>
	<select required="" name="domain" id="domain">
		<option value="" disabled="" selected="">---</option>

		<?php

		$domains = regListUserDomains($_SESSION['username']);

		if ($domains) {
			foreach($domains as $domain) {
				echo "<option value='" . $domain . "'>" . $domain . "</option>";
			}
		}

		?>
	</select>
	<br>
	<label for="ns">Serveur de nom</label>
	<br>
	<input id="ns" placeholder="ns1.<?= DOMAIN_EXAMPLE ?>." name="ns" type="text">
	<br>
	<input value="Valider" type="submit">
</form>

<?php

if (isset($_POST['domain']) AND isset($_POST['action']) AND isset($_POST['ns']) AND isset($_SESSION['username'])) {

	antiCSRF();

	regCheckDomainPossession($_POST['domain']);
	checkAbsoluteDomainFormat($_POST['ns']);

	$action = checkAction($_POST['action']);

	$suffix = regGetUpperDomain($_POST['domain']);

	exec(KNOTC_PATH . " zone-begin " . $suffix, $output);
	exec(KNOTC_PATH . " zone-" . $action . "set " . $suffix . " " . $_POST['domain'] . " 86400 IN NS " . $_POST['ns'], $output);
	exec(KNOTC_PATH . " zone-commit " . $suffix, $output);
	foreach ($output as $line) {
		if ($line !== "OK") {
			$error = true;
		}
	}
	if ($error) {
		appendLog($output);
		echo "An ERROR occured!";
	} else {
		echo "Modification effectuée avec succès";
	}
}

?>

<?php include "../bottom.inc.php"; ?>
