<?php include "../top.inc.php"; ?>

<form method="post">

	<?php require "../inc/form/form.ns.inc.php"; ?>

	<br>

	<label for="priority">Priorité</label>
	<br>
	<input id="priority" min="0" max="65535" value="0" placeholder="0" name="priority" type="number">

	<br>

	<label for="host">Hôte</label>
	<br>
	<input id="host" placeholder="mail.<?= DOMAIN_EXAMPLE ?>." name="host" type="text">

	<br>
	<input value="Valider" type="submit">
</form>

<?php

if (nsCommonRequirements()
		AND isset($_POST['priority'])
		AND isset($_POST['host'])
	) {

	$values = nsParseCommonRequirements();

	if (!($_POST['priority'] >= 0 AND $_POST['priority'] <= 255))
		exit("ERROR: Wrong value for priority");

	checkAbsoluteDomainFormat($_POST['host']);

	exec(KNOTC_PATH . " zone-begin " . $_POST['zone']);
	exec(KNOTC_PATH . " zone-" . $values['action'] . "set " . $_POST['zone'] . " " . $values['domain'] . " " . $values['ttl'] . " IN MX " . $_POST['priority'] . " " . $_POST['host']);
	exec(KNOTC_PATH . " zone-commit " . $_POST['zone']);
	echo "Enregistrement ajouté";
}

?>

<?php include "../bottom.inc.php"; ?>
